%define version 0.8.99
%define release %mkrel 0.%revision.1
%define revision 851249

Name:		kftpgrabber
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Url:	        http://www.kftp.org/	
Group:		Networking/File transfer
Source0:	%{name}-%version.%revision.tar.bz2
Summary:        Graphical FTP client for KDE4
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdelibs4-devel
BuildRequires:  openssl-devel
BuildRequires:	ssh2-devel
Obsoletes:      kde4-%name <= 0.8.99-0.741976.4
Provides:       kde4-%name

Requires: kdebase4-runtime

%description
KFTPGrabber is a graphical FTP client for KDE4.
It supports SSL encryption, FXP transfers,
multiple FTP sessions (using tabs), bookmark system and more.

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%_kde_bindir/kftpgrabber
%_kde_libdir/kde4/kftpimportplugin_filezilla3.so
%_kde_libdir/kde4/kftpimportplugin_gftp.so
%_kde_libdir/kde4/kftpimportplugin_kftp.so
%_kde_libdir/kde4/kftpimportplugin_ncftp.so
%_kde_datadir/applications/kde4/kftpgrabber.desktop
%_kde_appsdir/kftpgrabber/commands.xml
%_kde_appsdir/kftpgrabber/kftpgrabber-bi-wizard.png
%_kde_appsdir/kftpgrabber/kftpgrabber-logo.png
%_kde_appsdir/kftpgrabber/kftpgrabberui.rc
%_kde_iconsdir/hicolor/*/apps/kftpgrabber.png
%_kde_datadir/kde4/services/kftpbookmarkimportplugin.desktop
%_kde_datadir/kde4/services/kftpimportplugin_filezilla3.desktop
%_kde_datadir/kde4/services/kftpimportplugin_gftp.desktop
%_kde_datadir/kde4/services/kftpimportplugin_kftp.desktop
%_kde_datadir/kde4/services/kftpimportplugin_ncftp.desktop

#------------------------------------------------

%define libkftpinterfaces %mklibname kftpinterfaces 4

%package -n %libkftpinterfaces
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes:  %{_lib}kftpgrabber0 < 0.8.1-2

%description -n %libkftpinterfaces
KFtpgrabber library.

%if %mdkversion < 200900
%post -n %libkftpinterfaces -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkftpinterfaces -p /sbin/ldconfig
%endif

%files -n %libkftpinterfaces
%defattr(-,root,root)
%_kde_libdir/libkftpinterfaces.so.*

#------------------------------------------------

%package devel
Group: Development/KDE and Qt
Summary: Header files and documentation for compiling KFtpgrabber based applications
Requires: %libkftpinterfaces = %version
Obsoletes:      kde4-%name-devel <= 0.8.99-0.741976.4
Provides:       kde4-%name-devel


%description devel
This package includes the header files you will need to compile applications
for KFtpgrabber.

%files devel
%defattr(-,root,root,-)
%_kde_libdir/libkftpinterfaces.so

#------------------------------------------------


%prep
%setup -q -n %name

%build
# otherwise it fails on linking final executable
%define _disable_ld_as_needed 1
%cmake_kde4 
%make

%install
cd build
rm -rf %buildroot
%{makeinstall_std}


%clean
rm -rf %buildroot


%changelog
* Sat Aug 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.99-0.851249.1mdv2009.0
+ Revision: 275307
- New snapshot

* Mon Jul 07 2008 Funda Wang <fundawang@mandriva.org> 0.8.99-0.829080.1mdv2009.0
+ Revision: 232482
- New snapshot

* Mon Jun 16 2008 Funda Wang <fundawang@mandriva.org> 0.8.99-0.821135.1mdv2009.0
+ Revision: 219638
- New snapshot
- disable as-needed as it fails on linking final executable

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.99-0.741976.6mdv2009.0
+ Revision: 210152
- Fix obsoletes

* Wed May 21 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.99-0.741976.5mdv2009.0
+ Revision: 209887
- Rebuild to go on the new prefix
- Fix spec file
- Fix spec file name
- Use kde4 apps by default

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.99-0.741976.4mdv2008.1
+ Revision: 182335
- Rebuild against new qt4 changes

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.99-0.741976.3mdv2008.1
+ Revision: 139286
- Rebuild against new kde4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.99-0.741976.2mdv2008.1
+ Revision: 117230
- Rebuild for new kdebase

* Wed Nov 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.99-0.741976.1mdv2008.1
+ Revision: 113559
- import kde4-kftpgrabber


* Fri Aug 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-04 13:35:27 (51744)
- Fix File List

* Fri Aug 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-04 13:30:08 (51743)
- Rebuild against new DBUS

* Sun Jun 25 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-25 22:49:46 (38029)
- Fix cp

* Sun Jun 25 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-25 22:35:30 (38028)
- Increase release
- Fix for new menu

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:59:38 (37401)
- Fix folder

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:55:41 (37400)
- Add Warning

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:51:09 (37399)
- Increase release
- 0.7.0 Beta1

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:45:19 (37393)
- import kftpgrabber-0.7.0-4mdv2007.0

* Tue Jun 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-4mdk
- Rebuild to generate menus

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-3mdk
- Rebuild to generate categories

* Wed Mar 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-2mdk
- Rebuild to fix ticket 21593

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.5mdk
- Rebuild

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.4mdk
- Fix Provides
- Fix Typo

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.3mdk
- fix old changelog   thanks blino

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.2mdk
- Reupload

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-1mdk
- Alpha 1

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-2mdk
- Reupload 
- Drop  Patch 0
- Fix install

* Mon May 23 2005 Sebastien Savarin <plouf@mandriva.org> 0.6.0-1mdk
- New Release 0.6.0

* Tue May 03 2005 Sebastien Savarin <plouf@mandriva.org> 0.6.0-0.beta1.1mdk
- 0.6.0-beta1

* Fri Feb 11 2005 Sebastien Savarin <plouf@mandrake.org> 0.5.0-1mdk
- first mandrake release

